Bio::Graphics::Glyph::segments(3)

NAME
Bio::Graphics::Glyph::segments - The "segments" glyph

SYNOPSIS
  See L<Bio::Graphics::Panel> and L<Bio::Graphics::Glyph>.

DESCRIPTION
This glyph is used for drawing features that consist of discontinuous segments. Unlike "graded_segments" or "alignment", the segments are a uniform color and not dependent on the score of the segment.

  OPTIONS
The following options are standard among all Glyphs. See Bio::Graphics::Glyph for a full explanation.

  Option      Description                      Default
  ------      -----------                      -------

  -fgcolor      Foreground color               black

  -outlinecolor Synonym for -fgcolor

  -bgcolor      Background color               turquoise

  -fillcolor    Synonym for -bgcolor

  -linewidth    Line width                     1

  -height       Height of glyph                10

  -font         Glyph font                     gdSmallFont

  -connector    Connector type                 0 (false)

  -connector_color
                Connector color                black

  -label        Whether to draw a label        0 (false)

  -description  Whether to draw a description  0 (false)

  -strand_arrow Whether to indicate            0 (false)
                 strandedness

  -hilite       Highlight color                undef (no color)

In addition, the following glyph-specific options are recognized:

  -draw_dna     If true, draw the dna residues 0 (false)
                 when magnification level
                 allows.

  -draw_target  If true, draw the dna residues 0 (false)
                 of the TARGET sequence when
                 magnification level allows.
                 See "Displaying Alignments".

  -ragged_start When combined with -draw_target, 0 (false)
                 draw a few bases beyond the end
                 of the alignment. See "Displaying Alignments".

  -show_mismatch When combined with -draw_target, 0 (false)
                 highlights mismatched bases in
                 pink.  See "Displaying Alignments".

  -true_target   Show the true sequence of the    0 (false)
                 matched DNA, even if the match
                 is on the minus strand. See "Displaying Alignments".

  -realign       Attempt to realign sequences at  1 (true)
                 high mag to account for indels. See "Displaying Alignments".

The -draw_target and -ragged_start options only work with seqfeatures that implement the hit() method (Bio::SeqFeature::SimilarityPair). The -ragged_start option is mostly useful for looking for polyAs and cloning sites at the beginning of ESTs and cDNAs. Currently there is no way of activating ragged ends. The length of the ragged starts is hard-coded at 25 bp, and the color of mismatches is hard-coded as light pink.

At high magnifications, minus strand matches will automatically be shown as their reverse complement (so that the match has the same sequence as the plus strand of the source dna). If you prefer to see the actual sequence of the target as it appears on the minus strand, then set -true_target to true.

  Displaying Alignments
When the -draw_target option is true, this glyph can be used to display nucleotide alignments such as BLAST, FASTA or BLAT similarities. At high magnification, this glyph will attempt to show how the sequence of the source (query) DNA matches the sequence of the target (the hit). For this to work, the feature must implement the hit() method, and both the source and the target DNA must be available. If you pass the glyph a series of Bio::SeqFeature::SimilarityPair objects, then these criteria will be satisified.

Without additional help, this glyph cannot display gapped alignments correctly. To display gapped alignments, you can use the Bio::Graphics::Brower::Realign module, which is part of the Generic Genome Browser package (http://www.gmod.org). If you wish to install the Realign module and not the rest of the package, here is the recipe:

  cd Generic-Genome-Browser-1.XX
  perl Makefile.PL DO_XS=1
  make
  make install_site

If possible, build the gbrowse package with the DO_XS=1 option. This compiles a C-based DP algorithm that both gbrowse and gbrowse_details will use if they can. If DO_XS is not set, then the scripts will use a Perl-based version of the algorithm that is 10-100 times slower.

The display of alignments can be tweaked using the -ragged_start, -show_mismatch, -true_target and -realign options. See the options section for further details.

BUGS
Please report them.

SEE ALSO
Bio::Graphics::Panel, Bio::Graphics::Glyph, Bio::Graphics::Glyph::arrow, Bio::Graphics::Glyph::cds, Bio::Graphics::Glyph::crossbox, Bio::Graphics::Glyph::diamond, Bio::Graphics::Glyph::dna, Bio::Graphics::Glyph::dot, Bio::Graphics::Glyph::ellipse, Bio::Graphics::Glyph::extending_arrow, Bio::Graphics::Glyph::generic, Bio::Graphics::Glyph::graded_segments, Bio::Graphics::Glyph::heterogeneous_segments, Bio::Graphics::Glyph::line, Bio::Graphics::Glyph::pinsertion, Bio::Graphics::Glyph::primers, Bio::Graphics::Glyph::rndrect, Bio::Graphics::Glyph::segments, Bio::Graphics::Glyph::ruler_arrow, Bio::Graphics::Glyph::toomany, Bio::Graphics::Glyph::transcript, Bio::Graphics::Glyph::transcript2, Bio::Graphics::Glyph::translation, Bio::Graphics::Glyph::triangle, Bio::DB::GFF, Bio::SeqI, Bio::SeqFeatureI, Bio::Das, GD

AUTHOR
Lincoln Stein <lstein@cshl.org>

Copyright (c) 2001 Cold Spring Harbor Laboratory

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See DISCLAIMER.txt for disclaimers of warranty.